package com.link.base.urlinfo.controller;

import com.link.base.urlinfo.service.MappedUrlService;
import java.util.List;
import java.util.Map;
import javax.annotation.Resource;
import org.springframework.cloud.client.discovery.DiscoveryClient;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping({"/common/mappped"})
public class MappedUrlController {
   @Resource
   private DiscoveryClient client;
   @Resource
   private MappedUrlService mappedUrlService;

   @RequestMapping({"services"})
   public List<String> getServiceList() {
      return this.client.getServices();
   }

   @RequestMapping({"/getUrlMapping"})
   public Map<String, Object> updateUrl(String moduleName) {
      return this.mappedUrlService.updateUrl(moduleName);
   }
}
